import React, { useEffect } from "react";
import { useNavigate } from "react-router-dom"; 
import './start.scss';


const Start = (props) => {
  const history = useNavigate();
  const kek = './circle.html';

  function hideAddressBar() {
    if (document.documentElement.scrollHeight < window.outerHeight / window.devicePixelRatio)
      document.documentElement.style.height = (window.outerHeight / window.devicePixelRatio) + 'px';
    setTimeout(window.scrollTo(1, 1), 0);
  }

  window.addEventListener("load", function () { hideAddressBar(); });
  window.addEventListener("orientationchange", function () { hideAddressBar(); });

  const handleButtonClick = () => {
    history('/city');
  };

  useEffect(() => {
    const frame = document.querySelector("#start");
    frame.addEventListener('load', () => {
      frame.contentWindow.addEventListener('click', () => {
        handleButtonClick();
      });
    });

    return () => {
      frame.removeEventListener('load', () => {
        frame.contentWindow.removeEventListener('click', () => {
        });
      });
    };
  }, []);

  return (
    <div className="container container_space_around">
      <div className="header">
        <img src="./logo192.png" alt="logo" className="header__logo"/>
        <span className="header__text">Путешествия<p>Просто!</p></span>
      </div>
      <iframe id="start" scrolling="no" src={kek} className="content__btn"></iframe>
    </div>
  )
};

export default Start;