import React, { useState } from 'react';
import { useNavigate } from "react-router-dom"; 
import TinderCard from 'react-tinder-card';
import './Tinder.scss';

const Tinder = (props) => {

    const route = props.getValue;
    const cardInfo = props.cardInfo;
    const setUserData = props.setUserData;
    const main = useNavigate();

    const [lastDirection, setLastDirection] = useState();
    const [cardId, setCardId] = useState([]);
    const [allIds, setAllIds] = useState([]);

    const swiped = (direction, id) => {
        setLastDirection(direction);
        allIds.push(id);
        console.log(allIds.length);
        if (direction === 'right' || direction === 'up') {
            cardId.push(id);
        };
    };

    const handleDislike = (id) => {
        console.log('left');
        swiped('left', id);
    };

    const handleLike = (id) => {
        console.log('right');
        swiped('right', id);
    };

    return (
        <div className='tinder__flex'>
        <div className='tinder-container'>
            <div className='card-container'>
                {cardInfo.map((card) => (
                    <TinderCard
                        className='swipe'
                        key={card.id}
                        onSwipe={(dir) => {
                            swiped(dir, card.id);
                            var unique = [...new Set(cardId)]
                            var uniqueIds = [...new Set(allIds)];
                            if(uniqueIds.length === cardInfo.length) {
                                main('/main');
                                setUserData(prevUserData => ({ ...prevUserData, unique: unique }));
                            }
                        }}
                    >
                        <div className='card'>
                            <div
                                className='card-content'
                                >
                                <div className='card__img' style={{
                                    backgroundImage: `url(${card.imageURL})`
                                }}/>
                                <div className='card__description_container'>
                                    <h3 className="noselect text">{card.question}</h3>
                                <div className='btn__container_tinder'>
                                    <button
                                    className="btn__tinder noselect"
                                    onClick={() => handleDislike(card.id)}
                                >
                                    <img draggable="false" src="./Dis.png" alt='#' className='card__choise_img' onClick={() => handleDislike(card.id)}/>
                                </button>
                                <button
                                    className="btn__tinder noselect"
                                    
                                    onClick={() => handleLike(card.id)}
                                >
                                    <img draggable="false" src="./Like.png" alt='#' className='card__choise_img' onClick={() => handleLike(card.id)}/>
                                </button>
                                </div>
                                </div>
                                
                            </div>
                        </div>
                    </TinderCard>
                ))}
            </div>
        </div>
        </div>
    );
}

export default Tinder;
